%global momorel 1
%global majorver 0.7
%global revision 1756
%global srcname XaraLX

Summary: Open source version of Xara Xtream LX graphics software
Name: xaralx
Version: %{majorver}.r%{revision}
Release: %{momorel}m%{?dist}
Group:   Applications/Multimedia
License: GPL and "TEMPORARY LICENSE FOR CDRAW (see LIBS-LICENSE)"
URL:     http://www.xaraxtreme.org/
#%%NoSource 0 http://downloads.xara.com/opensource/%{srcname}-%{majorver}r%{revision}.tar.bz2 01a3663c16c42f76388807074b064fc9
Source0: http://downloads.xara.com/opensource/%{srcname}-%{majorver}r%{revision}.tar.bz2
Patch0: xaralx-0.5r1251-svnversion.patch
Requires: wxGTK-unicode
BuildRequires: wxGTK-unicode-devel desktop-file-utils subversion perl
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Xara X has been a commercial shipping Windows product for 10 years (and non-Windows versions go back before that). It's a modern, object orientated design that's highly stable, and has gained hundreds of thousands of users. Our users and customers have produced artwork that is as impressive, if not more impressive, than that produced from any other vector graphics program.

Xara Xtreme on Linux will not only bring a leading-edge graphic tool to the platform, but with community assistance, has the potential to become the world's most powerful, easiest-to-use and simply the world's best graphics program. If we get it right this could bring the Linux desktop into whole sectors of the market that is has not been able to address before.

%prep
%setup -q -n %{srcname}-%{majorver}r%{revision}
%patch0 -p1 -b .version

%build
./autogen.sh
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

# Templates, Examples
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -rf Templates %{buildroot}%{_datadir}/%{name}
cp -rf testfiles %{buildroot}%{_datadir}/%{name}
cp -rf TextDesigns %{buildroot}%{_datadir}/%{name}
cp -rf Designs %{buildroot}%{_datadir}/%{name}

# xaralx
ln -s XaraLX %{buildroot}%{_bindir}/xaralx

## desktop
mkdir -p %{buildroot}%{_datadir}/applications
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Graphics \
    --remove-category Application \
    ./xaralx.desktop

# install icons
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 xaralx.png %{buildroot}%{_datadir}/pixmaps
install -m 644 xaralx.xpm %{buildroot}%{_datadir}/pixmaps

# install man
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/xaralx.1 %{buildroot}%{_mandir}/man1/xaralx.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog AUTHORS COPYING NEWS 
%doc libs/LIBS-LICENSE LICENSE
%doc doc
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*

%changelog
* Wed Sep 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.7.r1756-1m)
- update to 0.7r1756

* Sun Sep 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.r1442-2m)
- remove category Application

* Sat Jul 15 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.r1442-1m)
- updated to 0.6

* Fri Jun 09 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.r1263-1m)
- initial import to Momonga
